# classes/phing/tasks/ext/Service/Amazon/S3/S3GetTask.php

## \S3GetTask
jump to top

Downloads an object off S3

Provides common methods and properties to all of the S3 tasks

Extends from
  \Service_Amazon_S3
author
  Andrei Serdeliuc
copyright
  2001,2002 THYRELL. All rights reserved
extends
  Service_Amazon_S3
package
  phing.tasks.ext
version
  $Id: S3GetTask.php 1084 2011-05-06 09:55:25Z mrook $

### Properties

`mixed $_object= 'null'`

The S3 object we're working with

(default value: null)

Default value `null` Details

Type
  mixed
access
  protected

`mixed $_target= 'null'`

This is where we'll store the object

(default value: null)

Default value `null` Details

Type
  mixed
access
  protected

### Methods

`execute( ) :`
`getObject( ) :`
`getTarget( ) :`
`setObject( $object ) :`
Parameters

Name | Type | Description
--- | --- | ---
$object |  |

`setTarget( $target ) :`
Parameters

Name | Type | Description
--- | --- | ---
$target |  |

Documentation was generated by DocBlox 0.13.1.